MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions
sc::Uncapped5SphereExclusionShape Class Reference
Inheritance diagram for sc::Uncapped5SphereExclusionShape:

List of all members.

## Public Member Functions

const SCVector3 | A () const
const SCVector3 | B () const
const SCVector3 | C () const
double | rA () const
double | rB () const
double | rC () const
double | r () const
int | solution_exists () const
double | distance_to_surface (const SCVector3 &r, SCVector3 *grad=0) const
int | is_outside (const SCVector3 &) const
void | boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)
int | gradient_implemented () const

## Static Public Member Functions

static Uncapped5SphereExclusionShape * | newUncapped5SphereExclusionShape (double r, const SphereShape &, const SphereShape &, const SphereShape &)

## Protected Member Functions

| Uncapped5SphereExclusionShape (double r, const SphereShape &, const SphereShape &, const SphereShape &)

The documentation for this class was generated from the following file:

- shape.h